| GL Studio C++ Runtime API

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Image::InstanceListEntry::FileID Class Reference

`#include <image.h>`

## Public Member Functions
| FileID ()
| FileID (const FilePathClass &path, const LoadOptions &loadOptions)
| FileID (const FileID &src)
const FilePathClass & | GetPath () const
const LoadOptions & | GetLoadOptions () const
off_t | GetFileSize () const
time_t | GetModTime () const
bool | operator== (const FileID &rhs) const
FileID & | operator= (const FileID &rhs)

## Static Public Member Functions
static FilePathClass | GetAbsoluteFilePath (const FilePathClass &imgPath)

## Protected Attributes
FilePathClass | _path
LoadOptions | _loadOptions
off_t | _fileSize
time_t | _modTime

## Detailed Description

holds absolute file path, file size, mod time and image load options

## Constructor & Destructor Documentation

## ◆ FileID() [1/3]

FileID | ( |  | ) |

default ctor - no file

## ◆ FileID() [2/3]

FileID | ( | const FilePathClass & | path,
|  | const LoadOptions & | loadOptions
| ) |  |

ctor

Parameters

  path | path for file ( can be relative or absolute, will ultimately be stored in the FileID as an absolute path )
  loadOptions | image loading options for file

## ◆ FileID() [3/3]

FileID | ( | const FileID & | src | ) |

copy ctor

Parameters

  src | FileID to copy

## Member Function Documentation

## ◆ GetAbsoluteFilePath()

static FilePathClass GetAbsoluteFilePath | ( | const FilePathClass & | imgPath | ) |
| static

get the absolute path for the given path

Parameters

  imgPath | path in question

Returns
  the absolute path for the given path

## ◆ GetFileSize()

off_t GetFileSize | ( |  | ) | const

get the file size for the file

Returns
  the file size for the file

## ◆ GetLoadOptions()

const LoadOptions & GetLoadOptions | ( |  | ) | const

get the image load options for the file

Returns
  the image load options for the file

## ◆ GetModTime()

time_t GetModTime | ( |  | ) | const

get the modification time for the file

Returns
  the modification time for the file

## ◆ GetPath()

const FilePathClass & GetPath | ( |  | ) | const

get the absolute path for the file

Returns
  the absolute path for the file

## ◆ operator=()

FileID & operator= | ( | const FileID & | rhs | ) |

Assigment operator

Parameters

  rhs | The object to copy from.

Returns
  The resulting object (this).

## ◆ operator==()

bool operator== | ( | const FileID & | rhs | ) | const

compare two FileID's checking for same absolute path and load options

Note
  file size and mod time are not compared here, just absolute path and load options

Parameters

  rhs | FileID to compare

Returns
  true if equal absolute paths and load options

## Member Data Documentation

## ◆ _fileSize

off_t _fileSize
| protected

size in bytes of image file

## ◆ _loadOptions

LoadOptions _loadOptions
| protected

load options associated with image

## ◆ _modTime

time_t _modTime
| protected

file mod time for image file

## ◆ _path

FilePathClass _path
| protected

absolute path for image file

The documentation for this class was generated from the following file:

- image.h